#########################################################################################################
Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		mpgtx
Version:	1.3.1
Release:	2
Provides:	%{name}
Obsoletes:	%{name} = %{version}
License:	GNU/GPL 
URL:		http://mpgtx.sourceforge.net
Group:		Utilities
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	mpgtx is a command line MPEG audio/video/system file toolbox.
#########################################################################################################

%description
mpgtx allows you to split, join, demultiplex, manipulate ID3v1 tags and fetch
detailed information about a variety of MPEG files.
For more details see: http://mpgtx.sourceforge.net

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install PREFIX=$RPM_BUILD_ROOT%{_exec_prefix} \
	manprefix=$RPM_BUILD_ROOT%{_prefix}/share
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/mpg[!t]*
for f in mpgcat mpgdemux mpginfo mpgjoin mpgsplit; do
	echo '.so mpgtx.1' > $RPM_BUILD_ROOT%{_mandir}/man1/${f}.1
done
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 27 2005 Christian Wasem <wasem@ccux-linux.de> - 1.3.1-2
- added docs
- changing package description
* Tue Apr 12 2005 Christian Wasem <wasem@ccux-linux.de> - 1.3.1-1
- Initial Release  
